/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 15/05/2014, 8:15:11 AM
    Author     : gerald
*/

:root {
    --BrandNavy: #1a3e59;
    --BrandGreen: #75a641;
    --BrandTeal: #0e807a;
    --BrandBlue: #4185c6;
    --BrandSilver: #afbbc5;

    --RoleStaff: #f16243;
    --RoleAdmin: #4185c6;

    --RoleStaffBgd: #FAB2A3;
    --RoleAdminBgd: #A2C3E3;

    --White: #ffffff;
    --InterfaceNeutral02: #f2f2f2;
    --InterfaceNeutral05: #AFBBC4;
    --InterfaceNeutral06: #697288;
    --InterfaceNeutral07: #6A6A6A;
    --InterfaceNeutral08: #455A64;
    --InterfaceNeutral09: #3F434B;
    --Black: #000000;


    --Interface-blue-light: #F3F7FE;
    --Interface-blue-mid: #3676b3;
    --Interface-blue-dark: #193D5A;

    --Blue: blue;

    --StatusRed: #b33435;
    --StatusYellow: #fdbe10;
    --StatusOrange: #f16243;
    --StatusGreen: #75a641;

    --StatusRedBgd: #E6CCCD;
    --StatusYellowBgd: #E6DFCC;
    --StatusGreenBgd: #DAE6CD;
    --StatusGreyBgd: #d6d7d8;

    --StatusRedText: #8C1C22;
    --StatusOrangeText: #994923;
    --StatusYellowText: #664d1a;
    --StatusGreenText: #224d28;
    --StatusGreyText: #3f3f3f;

}


.navy,
.fgNavy, /*to be replaced with fg--navy*/
.fg--navy,
.summaryText,
.font--lg,
.font--lg .x-fieldset-header-text,
.fontLg, /*to be replaced with font--lg*/
.fontLg .x-fieldset-header-text {
    color: #1a3e59 !important; /*fallback for IE*/
    color: var(--BrandNavy) !important;
}

.bgNavy, /*to be replaced with bg--navy*/
.bg--navy {
    background-color: #1a3e59; /*fallback for IE*/
    background-color: var(--BrandNavy);
}

.teal,
.fgTeal, /*to be replaced with fg--teal*/
.fg--teal {
    color: #0e807a !important; /*fallback for IE*/
    color: var(--BrandTeal) !important;
}


/*----RoleStaff*/
.orange,
.staff,
.fgStaff, /*to be replaced with fg--staff*/
.fg--staff {
    color: #f16243 !important; /*fallback for IE*/
    color: var(--RoleStaff) !important;
}


.bgStaff, /*to be replaced with bg--staff*/
.bg--staff,
.tooltip {
    background-color: #f16243 !important; /*fallback for IE*/
    background-color: var(--RoleStaff);
}

/*----RoleAdmin*/
.blue,
.admin,
.blue .x-form-item-label-default,
.fgAdmin, /*to be replaced with fg--admin*/
.fg--admin,
.icon-help:after {
    color: #4185c6 !important; /*fallback for IE*/
    color: var(--RoleAdmin) !important;
}

.bgAdmin, /*to be replaced with bg--admin*/
.bg--admin {
    background-color: #4185c6; /*fallback for IE*/
    background-color: var(--RoleAdmin);
}

.interface-blue-mid,
.interface-blue-mid h2,
.interface-blue-mid h3 {
    color: #3676b3 !important; /*fallback for IE*/
    color: var(--Interface-blue-mid) !important;
}

/*----StatusRed*/
.red,
.fg--red,
.no,
.fgNo, /*to be replaced with fg--red*/
.color-red,
.color-red .x-grid-cell .x-grid-cell-inner,
.color-red a:link,
.color-red a:visited,
.color-red a:hover,
.color-red a:active,
.import_conflict,
.ace-deleted,
.active .x-grid-cell-inner,
.x-combo-deleted-item /* Used by PdCategory to display deleted items in red */
{
    color: #b33435 !important; /*fallback for IE*/
    color: var(--StatusRed) !important;
}

.bgRed, /*to be replaced with bg--red*/
.bg--red {
    background-color: #b33435 !important; /*fallback for IE*/
    background-color: var(--StatusRed) !important;
}


/*----StatusYellow*/
.yellow,
.fgPending, /*to be replaced with fg--yellow*/
.fg--yellow,
.pending,
.pending-save /*----Used to show rows that have been actioned - incorrectly called color-orange,
it is actually status yellow and instances where it is used should be fixed in the future*/

{
    color: #fdbe10 !important; /*fallback for IE*/
    color: var(--StatusYellow) !important;
}

.gold {
    color: #FFD700;
}

/*----Color orange - flagged*/

/*----Used to show rows that have been actioned - incorrectly called color-orange, 
it is actually status yellow and instances where it is used should be fixed in the future*/
.color-orange,
.color-orange .x-grid-cell .x-grid-cell-inner,
.color-orange a:link,
.color-orange a:visited,
.color-orange a:hover,
.color-orange a:active,
.inactive .x-grid-cell-inner {
    background-color: #FFFF88;
}

.bgYellow, /*to be replaced with bg--yellow*/
.bg--yellow {
    background-color: #fdbe10 !important; /*fallback for IE*/
    background-color: var(--StatusYellow) !important;
}

/*.bgd {
     background-color: var(--InterfaceNeutral02) !important;
       background-color: #f2f2f2 !important; fallback for IE
       padding:2px;
}*/


/*----StatusGreen*/
.green,
.yes,
.fgYes, /*to be replaced with fg--green*/
.fg--green,
.pd_new {
    color: #75a641 !important; /*fallback for IE*/
    color: var(--StatusGreen) !important;
}

.bgYes, /*to be replaced with bg--green*/
.bg--green,
.bgCircleYes {
    background-color: #75a641; /*fallback for IE*/
    background-color: var(--StatusGreen);
}

.StatusGreenBgd,
.future-diary-entry {
    background-color: #DAE6CD; /*fallback for IE*/
    background-color: var(--StatusGreenBgd);
}


.StatusGreenText,
.overnight-activity .x-grid-cell-inner {
    color: #224d28; /*fallback for IE*/
    color: var(--StatusGreenText);
}


.white,
.fg,
.fgWhite, /*to be replaced with fg--white*/
.fg--white
    /*main menu drop down active text */
    /*.x-menu-item-active .x-menu-item-text-default  */
{
    color: #ffffff !important; /*fallback for IE*/
}

.bg,
.x-body,
.x-toolbar-footer,
.whitebody .x-window-body,
.x-border-layout-ct,
.bgCircleWhite, /*to be replaced with bg--circle-white*/
.bg--circle-white,
.pending-save {
    background-color: #ffffff !important; /*fallback for IE*/
}


/*light background for status icons - not needed as there is now a function for stacking icons*/
/*.icon-bgd-light:before 
{
border-radius: 50%;
background: #f2f2f2;
width: 14px !important;
height: 14px !important;
}*/

/*fixes alignement of stacked FontAwesome icon*/
.fa-stack-1x {
    top: -1px;
}

.InterfaceNeutral02,
.fg--whitesmoke {
    color: #f2f2f2 !important; /*fallback for IE*/
    color: var(--InterfaceNeutral02) !important;
}


.Interface-blue-dark {
    color: #3B5C73 !important; /*fallback for IE*/
    color: var(--Interface-blue-dark) !important;
}

.toastMsgLt {
    border-color: #f2f2f2 !important; /*fallback for IE*/
    border-color: var(--InterfaceNeutral02) !important;
}

.bgd--InterfaceNeutral02,
.bgd--InterfaceNeutral02.x-form-fieldset .x-form-fieldset-body-el,
.bgInterfaceNeutral02,
.x-tab-bar-default,
.readOnly .x-form-text-default,
.toastMsgLt .x-window-header-default-top,
.selfAssessNote .x-panel-body-default {
    background-color: #f2f2f2 !important; /*fallback for IE*/
    background-color: var(--InterfaceNeutral02) !important;
}

.bgd--white,
.bgd--white .x-form-display-field-default {
    background-color: white !important;
}

.bgInterfaceNeutral05,
.selfAssessNoteTitle, .selfAssessNoteTitle .x-tool-tool-el {
    background-color: #AFBBC4 !important; /*fallback for IE*/
    background-color: var(--InterfaceNeutral05) !important;
}


.toastMsgLt .x-window-header-default-top {
    border-bottom: none;
}


.grey,
.fgGrey,
.fg--grey,
.feedback-empty-text,
.toastMsgLt .x-window-header-title-default > .x-title-text-default,
.toastMsgLt .x-window-header-default .x-tool-img,
p.loading {
    color: #697288 !important; /*fallback for IE*/
    color: var(--InterfaceNeutral06) !important;
}

.black,
.fgBlack {
    color: #000000 !important; /*fallback for IE*/
}

.blue,
.readOnly .x-form-text-default,
.readOnly .x-form-cb-label {
    color: blue !important; /*fallback for IE*/
    color: var(--Blue) !important;
}

.uiBlue03 {
    color: #B6D8F2 !important; /*fallback for IE*/
    color: var(--Interface-blue-light) !important;
}


.bgToolbarGroup {
    background-color: #f2f2f2 !important; /*fallback for IE*/
    background-color: var(--InterfaceNeutral02) !important;
    border: 1px solid #e1e1e1;
}

/*----BASIC LAYOUT STYLES*/

/*----Font Weights & Sizes*/

.bold,
pd_new,
.overnight-activity .x-grid-cell-inner,
.edit_accreditation_expiry_date,
.ace-completed,
.required label, .required, h1.required, /* styling for required text fields cls: 'required'*/
.deleted .x-grid-cell-inner,
.required,
.required .x-fieldset-header-text {
    font-weight: bold !important;
}

.fontNormal,
.icon-help:after,
.fontNormal .x-form-cb-label /*Use to override bold styling on radio button field labels - add as ---- cls:required fontNormal ----- to radiogroup*/
{
    font-weight: normal !important;
}

.font12 {
    font-size: 12px;
}

.font13 {
    font-size: 12px;
}

.font16,
p.invalidMsg:before {
    font-size: 16px;
}

.font--lg,
.font--lg .x-fieldset-header-text,
.fontLg,
.fontLg .x-fieldset-header-text {
    font-size: 1.1em !important;
}

/*use when fieldset children to override fontLg*/
font--md,
.font--md .x-fieldset-header-text,
.fontMd,
.fontMd .x-fieldset-header-text {
    font-size: 1.0em !important;
    margin-top: 1.1em;

}

.font--test {
    color: red !important;
    font-size: 1.1em !important;
}

.myLabelCRM,
.myLabelCRM .x-form-item-label,
.myLabelCRM .x-form-display-field {
    font-size: 12px;
    color: red;
}

.summaryText {
    line-height: 18px !important;
}

.square16,
.bgCircleYes {
    width: 16px;
    height: 16px;
}

.font--italic {
    font-style: italic !important;
}

.displayfield--header {
    font-size: 1.2em;
    padding: 10px;
    color: #193D5A;

}


/*----END Font Weights & Sizes*/

/*----Spacing controls*/

.x-body {
    line-height: 16px !important;
}

.v-middle .x-grid-td {
    vertical-align: middle;
}


/*----Padding*/
.pad0,
.widgetcolumn .x-grid-cell-inner {
    padding: 0 !important;
}

.padRt5,
.x-grid-cell-inner {
    padding-right: 5px !important;
}

.padLt5,
.x-grid-cell-inner {
    padding-left: 5px !important;
}

.pad--tb-5 {
    padding: 5px 0;
}

.padLt10,
div.password-reqs {
    padding-left: 10px !important;
}

.padBt5,
.x-fieldset-default {
    padding-bottom: 5px !important;
}

.padRt3,
.icon-help .x-form-item-label-inner {
    padding-right: 3px;
}

.pad,
.padRt10 {
    padding-right: 10px !important;
}

.padRt20,
.criteria-description-padding /* reserves space for scrollbar without clipping content */
{
    padding-right: 20px !important;
}

.pad--lr-5 {
    padding: 0 5px !important;
}

/*----End Padding*/


/*----Margin*/
.mar0,
    /*.widgetcolumn .x-grid-cell-inner,*/
div.password-reqs > p {
    margin: 0 !important;
}

.widgetcolumn .x-grid-cell-inner {
    margin: 0 auto !important;
}

.mar5,
.inputText /*used to show that textarea is ready to input text*/
{
    margin: 5px;
}

.martTop5 {
    margin-top: 5px !important;
}

.mar--t-10 {
    margin-top: 10px;
}

.statuscolumn .x-grid-cell-inner {
    margin: 0 !important;
    padding: 4px 5px 3px !important;
    height: 23px;
}

.x-grid-glyph-icon {
    font-size: 16px;
    height: 16px;
    width: 16px;
    display: inline-block;
    line-height: 1;
}

.x-plain-glyph-icon {
    font-size: 16px;
    height: 16px;
    width: 16px;
    line-height: 1;
}

.stacked-parent {
    position: relative;
    display: inline-block;
    vertical-align: middle;
}

.marRt5,
div.password-reqs > p.valid:before,
div.password-reqs > p.invalid:before,
p.invalidMsg:before {
    margin-right: 5px;
}

.marTp5,
div.password-reqs {
    margin-top: 5px;
}

/*----End Margin*/


/*----Spacers*/
.spacer20:before {
    padding: 0 20px 0 0;
}

.spacer25:before {
    padding: 0 25px 0 0;
}

/*----End Spacers*/

/*----END Spacing controls*/


/*----Border Radius*/
.borderRadius7 {
    border-radius: 7px;
}

.borderRadius50,
.bgCircleYes {
    border-radius: 50px;
}

.borderRadius50percent,
.bgCircleWhite,
.bgCircle {
    -webkit-border-radius: 50%;
    border-radius: 50%;
}


/*----END Border Radius*/


/* ---Pointers---- styling for grids'*/

/*pointer (hand))*/
.cursor-pointer,
.cursor-pointer .x-grid-cell,
.cursor-pointer .x-grid-item-focused .x-grid-cell-inner::before /*selectable row with pointer (hand))*/
{
    cursor: pointer !important;
}

.cursor-default,
.cursor-default .x-grid-item-focused .x-grid-cell-inner::before /*non-selectable row with default cursor*/
{
    cursor: default !important;
}


/* ---END Pointers---- */

/*----Borders*/
.border2,
.pending-save {
    border-width: 1px;
    border-style: solid;
}

.border5
.msgInterfaceNeutral02 {
    border-width: 5px;
    border-style: solid;
}

.borderBtNone,
.msgInterfaceNeutral02 .x-window-header-default-top {
    border-bottom: none !important;
}

/*non-selectable row with default cursor*/
.cursor-default .x-grid-item-focused .x-grid-cell-inner::before {
    border-style: none !important;
}

/*----END Borders*/


.whitespaceNormal,
.wrapText,
.wrap-text .x-grid-cell-inner,
.form-text p {
    white-space: normal !important;
}

.whitespacePrewrap,
table.ts-review-summary td,
table.review-summary td {
    white-space: pre-wrap;
}


/*----END LAYOUT STYLES*/


/*----CUSTOM STYLES*/

.logo {
    background: url(../images/EMS360-header.png) no-repeat 10px white !important;
    height: 60px !important;
}

.image--share-email {
    background: url(../images/EMS360-header.png) no-repeat 10px white !important;
    height: 60px !important;
}


#loading-wrapper {
    width: 300px;
    position: fixed;
    top: 50%;
    left: 50%;
    margin-left: -60px; /*half the width*/
    margin-top: -60px; /*half the height*/
    text-align: center;
    z-index: 9999999;
    font-size: 10px;
}

#custom-loader {
    background-image: url(../images/twoColorFade.gif);
    background-repeat: no-repeat;
    background-position: 0 0;
    height: 150px;
    width: 150px;

}

p.loading {
    font: 700 38px/0.8 "Helvetica Neue", Helvetica, Arial, sans-serif;
    letter-spacing: -0.3px;
    margin: 10px 0px;
    text-transform: uppercase;
    text-align: left;
    padding: 20px 0px;
}

td.x-grid-cell div.multiline-cell {
    white-space: normal !important;
}

/*----Purchase order group headers */
/*
.purchaseOrderGrid .x-grid-group-hd {
    padding: 0px 5px;
}

.displayTableIcon {
    width: 30px !important;
    min-width: 30px !important;
}

.displayTableIcon button {
    border:none;
    background:none;
    cursor:pointer;
}

.tableDisplay{
    table-layout:auto;
    width:100%;
    min-width:430px;
}

.tableDisplay tr th, .tableDisplay tr td{
    text-align:left;
    white-space: nowrap;
    border:none;
}

.tableDisplay tr th{
    font-size:11px;
    font-weight:normal;
}

.tableDisplay tr td{
    font-size:13px;
    font-weight:bold;
}*/

/*----End purchase order group headers */

/*----Titlebars*/

/*.subject{
    font-weight:normal;
}*/
.window-title--subject {
    font-weight: bold;
}

.window-title--detail {
    font-weight: bold;
    color: #B6D8F2 !important; /*fallback for IE*/
    color: var(--Interface-blue-light) !important;
}


/*----End Titlebars*/


/*----Icons*/

/*circleTickFill*/
div.password-reqs > p.valid:before {
    font-family: "fontEms";
    content: "\e93a";
}

/*circleTick*/
div.password-reqs > p.invalid:before {
    font-family: "fontEms";
    content: "\e939";
}

/*circleExclamationFill*/
p.invalidMsg:before {
    font-family: "fontEms";
    content: "\e930";
}

/*circleInfoFill*/
.icon-help:after {
    content: '\e933';
    font-family: 'fontEms';
}

/*riskFill*/
.risk-red:after,
.risk-yellow:after,
.risk-action-red:after,
.risk-action-yellow:after,
.risk-action-green:after {
    /*    content: "\ea0d";
        font-family: "fontEms";*/
    font-family: "fontawesome";
    content: "\f111";
}

/*add*/
.col__accrued_approved div:before,
.col__accrued div:before,
.status__accrued:before,
.status__accrued_approved:before {
    content: "\e90d";
    font-family: "fontEms";
}

/*minus*/
.col__taken div:before,
.col__taken_approved div:before,
.status__taken:before,
.status__taken_approved:before {
    content: "\e97c";
    font-family: "fontEms";
}


/*----END Icons*/


/*styling for templates - Reviews Inspector*/
/*pastel*/

table.review-summary {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
    padding-bottom: 20px;
    font-size: 12px;
    border: 1px solid #697288; /*override for IE*/
    border: 1px solid var(--InterfaceNeutral06);
    /* tablelayout makes sure that the horizontal layout only depends on the 
        table's width and the width of the columns, not the contents of the cells*/
    table-layout: fixed;
    word-wrap: break-word;
}

table.review-summary td {
    word-wrap: break-word;
    font-size: 13px;
}

table.review-summary td.review-title {
    text-align: center;
    background-color: #697288; /*override for IE*/
    background-color: var(--InterfaceNeutral06);
    color: #ffffff;
    font-size: 16px;
}

table.review-summary td.review-subtitle {
    text-align: center;
    background-color: #A4BF7C;
    font-size: 14px;
}

/*styling for templates - 360 Degrees Review Summary*/
/*pastel*/

table.ts-review-summary {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
    padding-bottom: 20px;
    font-size: 12px;
}

table.ts-review-summary td {
    font-size: 13px;
}

table.ts-review-summary td.review-title {
    text-align: center;
    background-color: #697288; /*override for IE*/
    background-color: var(--InterfaceNeutral06);
    color: #ffffff; /*override for IE*/
    font-size: 16px;
}

table.ts-review-summary td.review-subtitle {
    text-align: center;
    background-color: #A4BF7C;
    font-size: 14px;
}

span.review-title {
    text-align: left;
    background-color: #697288; /*override for IE*/
    background-color: var(--InterfaceNeutral06);
    color: #ffffff; /*override for IE*/
    font-size: 16px;
}


/*override font-size of glyph in button - used in PdOverviewForm as info icon*/
.info-icon-glyph .x-btn-icon-el.x-btn-icon-el-default-small.x-btn-glyph {
    font-size: 12px !important;
    cursor: default !important;
}

.x-btn-inner {
    text-overflow: clip !important;
}

pre {
    white-space: pre-wrap; /* Since CSS 2.1 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word; /* Internet Explorer 5.5+ */
    font-family: helvetica, arial, verdana, sans-serif;
}


/* Icon for single and mutlistage reviews - Celina 26/2/19 */
.status__review_stage {
    padding: 1px;
    border-radius: 15px;
    width: 60px;
    color: #1a3e59; /*fallback for IE*/
    color: var(--BrandNavy);
    background-color: #f2f2f2; /*fallback for IE*/
    background-color: var(--InterfaceNeutral02);
    text-align: center;
    font-size: .85em;
    line-height: 15px;
    vertical-align: middle;
}

/*would be good to be able to implemenmt - but layouts need to be fixed and consistent first*/
/*.form-text{
   margin-left: -4px !important;
}*/

.form-text h1 {
    color: #000000;
    font-weight: normal;
    font-size: 13px;
    margin-top: 2px;
    margin-bottom: 2px;
}


.form-text p {
    font-size: 12px;
    margin-top: 2px;
    margin-bottom: 4px;
}

.risk-red, .risk-yellow {
    margin-top: 25px;
}


.risk-red:after {
    font-weight: normal !important;
    color: #b33435 !important; /*fallback for IE*/
    color: var(--StatusRed) !important;
    font-size: 32px;
}

.risk-yellow:after {
    font-weight: normal !important;
    color: #fdbe10 !important; /*fallback for IE*/
    color: var(--StatusYellow) !important;
    font-size: 32px;
}

.risk-action-red:after {
    font-weight: normal !important;
    color: #b33435 !important; /*fallback for IE*/
    color: var(--StatusRed) !important;
}

.risk-action-yellow:after {
    font-weight: normal !important;
    color: #fdbe10 !important; /*fallback for IE*/
    color: var(--StatusYellow) !important;
}

.risk-action-green:after {
    font-weight: normal !important;
    color: #75a641 !important; /*fallback for IE*/
    color: var(--StatusGreen) !important;
}

/*Time in lieu type */
/*Zero*/
/*Pill with no change - used for summary grids*/


.col__zero div {
    border: 2px solid #6A6A6A;;
    background-color: #F0F0F0 !important;
    z-index: 20;
    color: #6A6A6A;
}


.col__accrued div,
.col__taken div,
.col__accrued_approved div,
.col__taken_approved div,
.col__zero div {
    text-align: right !important;
}


/*Accrued - green*/
/*Accrued: Not approved - penidng or declined PALE*/
.status__accrued,
.col__accrued div,
.col__accrued div:before,
.status__accrued:before {
    color: #7A997F;
}

.status__accrued,
.col__accrued div {
    /* border: 2px solid #7A997F; */
    border: 2px solid #6A6A6A;;
    /*background-color: #F1F2F0 !important; */
    background-color: #F0F0F0 !important;
    z-index: 20;
}

/*Accrued: Approved*/
.col__accrued_approved div,
.col__accrued_approved div:before {
    color: #224d28; /*fallback for IE*/
    color: var(--StatusGreenText);
}

.status__accrued_approved,
.col__accrued_approved div {
    border: 2px solid #224d28; /*fallback for IE*/
    border: 2px solid var(--StatusGreenText);
    background-color: #DAE6CD; /*fallback for IE*/
    background-color: var(--StatusGreenBgd) !important;
    z-index: 20;
}


/*Taken - red*/
/*Taken: Not approved - penidng or declined PALE*/
.status__taken,
.col__taken div,
.col__taken div:before,
.status__taken:before {
    color: #997A7A;
}

.status__taken,
.col__taken div {
    /* border: 2px solid #997A7A; */
    border: 2px solid #6A6A6A;;
    /* background-color: #F2F0F0 !important; */
    background-color: #F0F0F0 !important;
    z-index: 20;
}


/*Taken: Approved*/
.col__taken_approved div,
.col__taken_approved div:before {
    color: #8C1C22; /*fallback for IE*/
    color: var(--StatusRedText);
}

.status__taken_approved,
.col__taken_approved div {
    border: 2px solid #8C1C22; /*fallback for IE*/
    border: 2px solid var(--StatusRedText);
    background-color: #E6CCCD; /*fallback for IE*/
    background-color: var(--StatusRedBgd) !important;
    z-index: 20;
}


/*status to show in column*/
[class^="col__pill_"] div, [class*=" col__pill_"] div {
    padding: 1px 2px;
    margin: 1px;
    font-weight: normal !important;
    vertical-align: middle;
    text-align: center;
    border-radius: 25px;
    width: 38px;
    /*    float: right;*/
    color: white;
}

[class^="col__pill__wider_"] div, [class*=" col__pill__wider_"] div {
    padding: 1px 2px;
    margin: 1px;
    font-weight: normal !important;
    vertical-align: middle;
    text-align: center;
    border-radius: 25px;
    width: 80px;
    /*    float: right;*/
    color: white;
}

.col__pill_approved div {
    border: 2px solid #75a641; /*fallback for IE*/
    border: 2px solid var(--StatusGreen);
    background-color: #75a641 !important; /*fallback for IE*/
    background-color: var(--StatusGreen) !important;
}

.col__pill__wider_approved div {
    border: 2px solid #75a641; /*fallback for IE*/
    border: 2px solid var(--StatusGreen);
    background-color: #75a641 !important; /*fallback for IE*/
    background-color: var(--StatusGreen) !important;
}

.col__pill_pending div {
    border: 2px solid #fdbe10; /*fallback for IE*/
    border: 2px solid var(--StatusYellow);
    background-color: #fdbe10 !important; /*fallback for IE*/
    background-color: var(--StatusYellow) !important;
}


.col__pill__wider_pending div {
    border: 2px solid #fdbe10; /*fallback for IE*/
    border: 2px solid var(--StatusYellow);
    background-color: #fdbe10 !important; /*fallback for IE*/
    background-color: var(--StatusYellow) !important;
}

.col__pill_rejected div {
    border: 2px solid #b33435; /*fallback for IE*/
    border: 2px solid var(--StatusRed);
    background-color: #b33435 !important; /*fallback for IE*/
    background-color: var(--StatusRed) !important;
}

.col__pill_navy div {
    border: 2px solid #1a3e59; /*fallback for IE*/
    border: 2px solid var(--BrandNavy);
    background-color: #1a3e59 !important; /*fallback for IE*/
    background-color: var(--BrandNavy) !important;
    outline-color: var(--BrandNavy) !important;
}

.col__pill_navy_dotted div {
    border: 2px solid #1a3e59; /*fallback for IE*/
    border: 2px solid var(--BrandNavy);
    background-color: #ffffff !important; /*fallback for IE*/
    background-color: var(--White) !important;
    color: var(--Black);
}

.col__pill_neutral div {
    background-color: #F2F2F2 !important;
    color: #1a3e59; /*fallback for IE*/
    color: var(--BrandNavy);
}

.col__taken_approved div,
.col__accrued_approved div,
.col__zero div {
    padding: 1px 2px;
    margin: 1px;
    font-weight: normal !important;
    vertical-align: middle;
    border-radius: 25px;
    width: 90px;
}

.col__taken_approved div:before {
    float: left;
    font-weight: bold;
}


.col__accrued_approved div:before {
    float: left;
    font-weight: bold;
}

.col__taken div,
.col__accrued div {
    padding: 1px 2px;
    margin: 1px;
    font-weight: normal !important;
    vertical-align: middle;
    border-radius: 25px;
    width: 90px;
}

.col__taken div:before {
    float: left;
    font-weight: bold;
}

.col__accrued div:before {
    float: left;
    font-weight: bold;
}

.status__accrued,
.status__accrued_approved,
.status__taken,
.status__taken_approved,
.status__zero {
    padding: 2px 6px;
    border-radius: 25px;
}


.display--panel {
    background-color: #F3F7FE; /*fallback for IE*/
    background-color: var(--Interface-blue-light);
    padding: 4px 10px;
    font-size: 13px;
    border: 1px solid #3676b3 !important;
    border-radius: 5px;
}

.display--bgd {
    background-color: #F3F7FE; /*fallback for IE*/
    background-color: var(--Interface-blue-light);
}

.display--panel .x-form-display-field-default,
.fieldset-display--panel .x-form-display-field-default {
    background-color: #F3F7FE; /*fallback for IE*/
    background-color: var(--Interface-blue-light);
    min-height: 14px;
    margin: 0;
    padding: 0;
}


.display--text,
.fieldset-display--panel .x-form-display-field-default {
    color: #193D5A; /*fallback for IE*/
    color: var(--Interface-blue-dark);
}

.fieldset-display--panel {
    background-color: #F3F7FE; /*fallback for IE*/
    background-color: var(--Interface-blue-light);
    border-radius: 5px;
    border: 1px solid #3676b3 !important;
}

.display--label,
.fieldset-display--panel .x-form-item-label-default {
    color: #3676b3; /*fallback for IE*/
    color: var(--Interface-blue-mid);
}

.fieldset-display--panel .x-form-item-label-default {
    min-height: 14px;
    margin: 0;
    padding: 0;
}

ul.no-bull {
    list-style-type: none !important;
    margin: 0 !important;
    padding-bottom: 10px;
    padding-left: 0;
    padding-right: 0;
    padding-top: 0;
}

ul.display--list {
    background-color: #F3F7FE; /*fallback for IE*/
    background-color: var(--Interface-blue-light);
    color: #193D5A; /*fallback for IE*/
    color: var(--Interface-blue-dark);
}


.cellBgd {
    background-color: #DAE6E5 !important;
}

/*----Overrides, Fixes & Adjustments*/

.x-panel .x-plain {
    overflow: visible;
    position: relative
}

.x-fieldset {
    overflow: visible;
}

.x-fieldset-header-default > .x-fieldset-header-text {
    position: static;
}

.icon-help .x-form-item-label-inner {
    display: inline !important;
}


/* css fix for tooltip width problem - particularly in chrome*/
/*.x-tip,
.x-tip-body,
.x-tip-body span 
{
    width: auto !important;
}*/


/*override glyph opacity*/
.x-btn-icon-el.x-btn-icon-el-default-small.x-btn-glyph,
.x-btn-icon-el.x-btn-icon-el-default-medium.x-btn-glyph,
.x-btn-icon-el.x-btn-icon-el-default-large.x-btn-glyph,
.x-btn-icon-el.x-btn-icon-el-default-toolbar-small.x-btn-glyph,
.x-btn-icon-el.x-btn-icon-el-default-toolbar-medium.x-btn-glyph,
.x-btn-icon-el.x-btn-icon-el-default-toolbar-large.x-btn-glyph,
.x-menu-item-icon-default.x-menu-item-icon.x-menu-item-glyph,
.x-btn-icon-el-grid-cell-small.x-btn-glyph,
.x-btn-icon-el,
.x-window-header-title-default.x-title-icon-wrap-default.x-title-glyph,
.x-tab-icon-el.x-tab-icon-el-default.x-tab-glyph {
    opacity: 1.0;
}

/* Fixes issue with certain glyphs flickering white briefly when
  tooltips are shown/hidden. 
  - Glyphs this occurs with
        'add'
        'circleTick'
        'circlePending'
  - Situations this occurs in:
        Glyphs on Buttons in window toolbar
  - Browser this occurs in      
        Flickering occurs in Firefox 39.0 (up to date). 
    (not IE explorer or Chrome)
*/
.x-btn-icon-el.x-btn-icon-el-default-toolbar-small.x-btn-glyph {
    opacity: 0.97; /*anything higher than this and we get flicker*/
}


/* added to fix transparent icons in grids
    Here again we have an issue with glyps flickering white briefly
    when tooltips are shown/hidden
  - Glyphs this occurs with
        pretty much any
  - Situations this occurs in:
        Glyphs on Buttons inside widgets in 'widgetcolumn' of some grids
  - Browser this occurs in      
        Flickering occurs in Firefox 39.0 (up to date). 
*/
.x-btn-icon-el.x-btn-icon-el-grid-cell-small.x-btn-glyph {
    opacity: 0.97;
    /*anything higher than this and we get flicker
   Rest of these to make icons a tad bigger in grids*/
    line-height: 80%;
    font-size: 14px;
    width: 100% !important;
    height: 100% !important;

}


/* Add this to override opacity for glyphs in:
    - Panel header
    - Window header
    - Dashboard Part header (ViewTemplate)
    Has to be set to !important to actually work. 
*/
.x-title-icon.x-title-icon-default.x-title-glyph,
.x-title-icon.x-title-icon-default-framed.x-title-glyph {
    opacity: 1.0 !important;
}

/* added this to format glyphs in grid headers -- sort of works */
.header-glyph {
    font-family: fontEms;
    text-align: center;
    line-height: 80% !important;
    font-size: 14px !important;
    width: 100% !important;
    height: 100% !important;
    padding: 10% 12% !important;
}

/* added this to format glyphs in grid header tooltips -- sort of works */
.tooltip-glyph {
    font-family: fontEms;
    text-align: center;
    font-size: 14px !important;
    width: 100% !important;
    height: 100% !important;
}

/* added this to wrap legends for charts */
.x-legend.x-horizontal {
    white-space: normal !important;
}


/*stops text from wrapping and adding extra lines to a grid*/

.x-grid-row .x-grid-cell-inner {
    white-space: nowrap !important;
}

/* Fixed the extjs look of a displayfield to fit the space correctly (Sum of time in lieu) */
/*.sum-time-in-lieu .x-form-display-field {
    min-height: 20px;
}*/


.x-tab-inner-default {
    font-weight: normal !important;
}


.x-toolbar-default-vertical {
    margin-top: 2px;

}


.x-form-text-default {
    padding-right: 3px !important;

}


.x-tab-bar-top {
    padding-top: 2px !important;
}


.x-form-display-field-body .x-form-display-field {
    overflow-wrap: normal !important;
    word-wrap: normal !important;
    -ms-word-break: normal !important;
    word-break: normal !important;
    word-break: normal !important;
    -ms-hyphens: none !important;
    -moz-hyphens: none !important;
    -webkit-hyphens: none !important;
    hyphens: none !important;
}


.x-btn-btnStatusGreen-small:hover .x-btn-icon-el-btnStatusGreen-small,
.x-btn-btnStatusYellowsmall:hover .x-btn-icon-el-btnStatusYellow-small,
.x-btn-btnStatusRed-small:hover .x-btn-icon-el-btnStatusRed-small,
.x-btn-btn--search-small:hover .x-btn-icon-el-btn--search-small,
.x-btn-btn--navy-border-small:hover .x-btn-icon-el-btn--navy-border-small,
.x-btn-btn--green-border-small:hover .x-btn-icon-el-btn--green-border-small,
.x-btn-btn--red-border-small:hover .x-btn-icon-el-btn--red-border-small,
.x-btn-btn--search-small .x-btn-focus .x-btn-btn--search-small-focus .x-btn-over .x-btn-pressed,
.x-btn-small:hover .x-btn-icon-el-small,
.x-btn-default-small:hover .x-btn-wrap-default-small.x-btn-arrow-right:after,
.x-btn-default-toolbar-small:hover .x-btn-wrap-default-toolbar-small.x-btn-arrow-right:after {

    color: #fff !important;
}


/*My EMS Personal History tab styles*/
/*.tab-item-01-head{
    background-color: #f2f2f2 !important;
    border: 1px solid #f16243 !important;

}
.tab-item-01-head .x-tab-inner-default{
        color: #f16243 !important;
}
.tab-item-01-head .x-tab.x-tab-active.x-tab-default {
        color: #f16243 !important;}
*/
.tab-item-01-head .x-tab-inner-default {
    color: #afbbc5 !important;
}


.tab-item-01-head.x-tab.x-tab-active.x-tab-default .x-tab-inner-default {
    color: #f16243 !important;
}

.margin-left--grey {
    border-right: 1px solid #6A6A6A;
}

/*News window - fixes excess whitespace when h2 and p html tags used for news messages */
.myWindow .x-form-display-field-default h2 {
    margin: 0 !important;
}

.myWindow .x-form-display-field-default:first-child {
    margin: 0 !important;
}

.myWindow .x-form-display-field-default p:first-child {
    margin-top: 0;
    font: normal 12px/17px helvetica, arial, verdana, sans-serif;
    color: #000;
}

.myWindow .x-form-display-field-default p {
    margin-top: 4px;
    font: normal 12px/17px helvetica, arial, verdana, sans-serif;
    color: #000;
}

.text--strikethrough div {
    text-decoration: line-through;
}

/*testing styles used  in notifications to add cls*/
.border--red {
    border: 1px solid red !important;
}

.border--pink {
    border: 1px solid pink !important;
}

.border--orange {
    border: 1px solid orange !important;
}

.border--yellow {
    border: 1px solid yellow !important;
}

.border--green {
    border: 1px solid green !important;
}

.border--blue {
    border: 1px solid blue !important;
}

.border--purple {
    border: 1px solid purple !important;
}

.notes--fieldset-bgd {
    background-color: #ffffff !important
}

.question-text {
    font-size: 1.1em;
    line-height: 1.4;
    margin: 10px 5px;


}

.question-bgd {
    background-color: #f2f2f2 !important;
    background-color: var(--InterfaceNeutral02);
    border-radius: 10px;
    padding: 10px !important;
}

.response-bgd,
.notes-bgd {
    background-color: white !important;
    border-radius: 5px;
    padding: 5px;
    box-shadow: inset 0 0 8px rgba(0, 0, 0, 0.4);
}

.response-bgd .x-form-text,
.response-bgd .x-form-checkboxgroup-body,
.notes-bgd .x-form-text {
    background-color: white !important;
}


.question-bgd .x-fieldset-header-default > .x-fieldset-header-text,
.question-title {
    color: #1a3e59 !important; /*fallback for IE*/
    color: var(--BrandNavy) !important;
    font-size: 1.1em;
    font-weight: 600;
}

.question-bgd .x-form-trigger-wrap-default,
.notes-bgd .x-form-trigger-wrap-default
    /*.response-bgd .x-form-trigger-wrap-default*/
{
    border-style: none;
    border-width: 0;
}


.grid--secondary {
    background-color: #afbbc5;

}

.grid--secondary .x-panel-default,
.grid--secondary .x-panel-body-default {
    border: 1px solid #e6e6e6 !important;
}

.grid--secondary .x-panel-default-outer-border-rl {
    border-right-color: #e6e6e6 !important;
    border-right-width: 1px !important;
    border-left-color: #e6e6e6 !important;
    border-left-width: 1px !important;
}

.grid--secondary .x-panel-header-default {
    background-color: #afbbc5;
    border: 1px solid #e6e6e6 !important;
}

.grid--secondary .x-panel-header-title-default {
    color: black;
    font-size: 13px;
}


/*icon used on grid rows as visual indicator that row can be dragged and dropped*/
td.icon--drag {
    background: url(../images/icons/grip-vertical-solid.svg) no-repeat left/8px;
}

td.icon--drag .x-grid-cell-inner {
    margin-left: 10px !important;
    font: normal 12px/14px helvetica, arial, verdana, sans-serif;
}

.fg--not-yet-verified {
    color: #ffffff;
    background-color: #28a745;
    /*border: 1px solid #28a745;*/
    /*box-sizing: border-box;*/
    /*-moz-box-sizing: border-box;*/
    /*-webkit-box-sizing: border-box;*/
}
